////////////////////////////////////////////////////////
// Copyright (c) M.Iakobovski 11.06.2007 Version v.02 //
// Generation pseudorandom numbers sequence           //
// with direct access                                 //
////////////////////////////////////////////////////////

#include "stdio.h"
#include "stdlib.h"
#include "lrnd32.h"

int main(int argc, char *argv[])
{
	int i;
	unsigned long r;
	int k=5000;

#define DDD 0x87f7f7f7

	lrnd32set(DDD,0);
	for(r=0,i=k;i;i--)
		r+=lrnd32();

	printf("t lrnd32       r=%lu\n",r);

	for(r=0,i=0;i<k;i++)
		r+=lrnd32direct(DDD,i);

	printf("t lrnd32direct r=%lu\n",r);

	exit(0);
}

